org.gradle.api.plugins

## Interface JavaPluginExtension

-     @Incubating
      public interface JavaPluginExtension

  Common configuration for Java based projects. This is added by the `JavaBasePlugin`.
  Since:
    4.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JavaVersion` | `getSourceCompatibility()` Returns the source compatibility used for compiling Java sources.
    `JavaVersion` | `getTargetCompatibility()` Returns the target compatibility used for compiling Java sources.
    `void` | `setSourceCompatibility(JavaVersion value)` Sets the source compatibility used for compiling Java sources.
    `void` | `setTargetCompatibility(JavaVersion value)` Sets the target compatibility used for compiling Java sources.

- - ### Method Detail

    - #### getSourceCompatibility

          JavaVersion getSourceCompatibility()

      Returns the source compatibility used for compiling Java sources.

    - #### setSourceCompatibility

          void setSourceCompatibility(JavaVersion value)

      Sets the source compatibility used for compiling Java sources.
      Parameters:
        `value` - The value for the source compatibility

    - #### getTargetCompatibility

          JavaVersion getTargetCompatibility()

      Returns the target compatibility used for compiling Java sources.

    - #### setTargetCompatibility

          void setTargetCompatibility(JavaVersion value)

      Sets the target compatibility used for compiling Java sources.
      Parameters:
        `value` - The value for the target compatibility